package ru.dbotthepony.kstarbound.test

import com.kenai.jffi.MemoryIO
import org.junit.jupiter.api.Test
import ru.dbotthepony.kstarbound.lua.LuaHandle
import ru.dbotthepony.kstarbound.lua.LuaThread
import ru.dbotthepony.kstarbound.math.vector.Vector2d
import java.io.File

object LuaTests {
	@Test
	fun test() {
		val lua = LuaThread()

		lua.push {
			throw IllegalArgumentException("This is error message")
		}

		lua.storeGlobal("test")

		lua.call {
			lua.load("""
				local function errornous()
					test()
				end
				
				local cor = coroutine.create(errornous)
				print(coroutine.resume(cor))
			""".trimIndent())
		}

		lua.close()
	}
}
